Skip to main content
GET
/
secret-references
/
{secretReferenceId}
curl -X GET https://api.portkey.ai/v1/secret-references/SECRET_REFERENCE_ID \
-H "x-portkey-api-key: PORTKEY_API_KEY"
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "manager_type": "aws_sm",
  "secret_path": "<string>",
  "secret_key": "<string>",
  "allow_all_workspaces": true,
  "tags": {},
  "status": "ACTIVE",
  "created_by": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "last_updated_at": "2023-11-07T05:31:56Z",
  "auth_config": {},
  "object": "secret-reference"
}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

secretReferenceId
string
required

UUID or slug of the secret reference

Response

Successful response

id
string<uuid>
organisation_id
string<uuid>
name
string
slug
string
description
string | null
manager_type
enum<string>
Available options:
aws_sm,
azure_kv,
hashicorp_vault
secret_path
string
secret_key
string | null
allow_all_workspaces
boolean
tags
object
status
enum<string>
Available options:
ACTIVE
created_by
string
created_at
string<date-time>
last_updated_at
string<date-time>
auth_config
object

Sensitive fields are masked for non-system users

object
enum<string>
Available options:
secret-reference
Last modified on March 9, 2026